[Accessibility] AT-SPI and D-Bus

Olaf Jan Schmidt ojschmidt at kde.org
Thu Aug 3 14:36:25 PDT 2006


Hi!

I sent this message yesterday - by mistake to the LSB list, not to this list.

Harald Fernengel from Trolltech has made a first alpha version of AT-SPI 
support for Qt available, based on D-Bus. You need the latest Qt 4.2 
development snapshot to compile it. Of course this is currently still 
uncompleted:
http://chaos.troll.no/~harald/qdbusaccessible/

Gary Cramblitt has offered to help port Orca once this has stabilised a bit 
more.

In related news, the LSB is currently planning to increase the binary 
compatibility of major versions by guaranteeing that interfaces are available 
for at least 6 years before removing them. This would mean to keep AT-SPI 
tied to CORBA and Bonobo until 2013 if we push this into the LSB.

I don't think this is a viable option if it today "there are ~no live / 
motivated / extant ORBit2 maintainers / developers around" (Michael Meeks):
http://lists.freedesktop.org/archives/dbus/2006-July/005214.html

Olaf

-- 
Olaf Jan Schmidt, KDE Accessibility co-maintainer, open standards 
accessibility networker, Protestant theology student and webmaster of 
http://accessibility.kde.org/ and http://www.amen-online.de/




More information about the Accessibility mailing list